package cn.ch.game;

import java.awt.Color;
import java.awt.Graphics;

import cn.ch.game.Constant;

public class Shell extends GameObject{
	
	double degree;
	
	public Shell() {
		x=Math.random()*500+1;
		y=Math.random()*500+1;
		speed=3;
		degree=Math.random()*Math.PI*2;
		height=10;
		width=10;
	}
	
	public void draw(Graphics g) {
		Color c=g.getColor();
		//ӵɫ
		g.setColor(Color.YELLOW);
		//ӵ״
		g.fillOval((int)x, (int)y, width, height);
		
		//ڵǶȥ
		x += speed*Math.cos(degree);
		y += speed*Math.sin(degree);
		

		if(x<0||x>Constant.GAME_WIDTH-width){
			degree  = Math.PI - degree;
		}
		
		if(y<30||y>Constant.GAME_HEIGHT-height){
			degree  = - degree;
		}
		
		g.setColor(c);
	}
}
