package cn.ch.game;

import java.awt.Frame;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.event.KeyAdapter;
import java.awt.event.KeyEvent;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;




public class MyGameFrame extends Frame{
	
	Image planeImg=GameUtil.getImage("images/plane.png");	//طɻͼƬ
	Image bg=GameUtil.getImage("images/bg.jpg");	//رͼƬ
	Plane plane=new Plane(planeImg,(int)250,(int)250);
	Shell shells[]=new Shell[30];
	Explode explode;
	
	/**
	 * ʼͼ
	 */
	public void paint(Graphics g) {
		g.drawImage(bg, 0, 0, null);
		plane.draw(g);
		
		//ӵ
		for(int i=0;i<shells.length;i++) {
			shells[i].draw(g);
			
			//ײ
			boolean peng=shells[i].getRect().intersects(plane.getRect());
			if(peng) {
				plane.live=false;
				if(explode==null) {
					explode=new Explode(plane.x,plane.y);
				}
				explode.draw(g);
			}
		}
		
	}
	
	
	/**
	 * ʼ
	 */
	public void launchFrame() {
		this.setTitle("ѧóºƷɻս");
		this.setVisible(true);
		this.setLocation(300,300);
		this.setSize(500,500);
		
		for(int i=0;i<shells.length;i++) {
			shells[i]=new Shell();	//ʼڵĳʼʽݸĹȫֵÿһԱ
		}
		
		
		this.addWindowListener(new WindowAdapter() {
			@Override
			public void windowClosing(WindowEvent e) {
				System.exit(0);
			}
		});
		new PaintThread().start();		//ػ߳
		addKeyListener(new KeyMonitor());   //Ӽ̵ļ
	}
	
	
	
	//ػڲ
	class PaintThread extends Thread{
		public void run() {
			while(true) {
				repaint();
				try {
					Thread.sleep(40);
				} catch (InterruptedException e) {
					e.printStackTrace();
				}
			}
		}
	}
	
	//Ƽ̼ڲ
	class KeyMonitor extends KeyAdapter{
		
		public void keyPressed(KeyEvent e) {
			plane.addDirection(e);
		}
		
		public void keyReleased(KeyEvent e) {
			plane.minusDirection(e);
		}

	}
	
	
	
	public static void main(String[] args) {
		MyGameFrame gf=new MyGameFrame();
		gf.launchFrame();
	}
	
	
	//˫˸
	private Image offScreenImage = null;
	 
	public void update(Graphics g) {
	    if(offScreenImage == null)
	        offScreenImage = this.createImage(500,500);//ϷڵĿȺ͸߶
	     
	    Graphics gOff = offScreenImage.getGraphics();
	    paint(gOff);
	    g.drawImage(offScreenImage, 0, 0, null);
	}	 
		
}
